Subject: Re: How to reinvent /usr/bin/find in cygwin/gnu/gnat Ada?
From: Hugh Myers <[email-masked]>
To: [email-masked]
Cc: Csaba Raduly <[email-masked]>, [email-masked]
Date: Sun, 20 Mar 2011 16:39:20 -0700
List-Id: <cygwin.cygwin.com>

Csaba is quite correct. That said the thing to remember is the
examples of either approach are far more likely to be written in
either 'C' or 'C++' so your ability to translate from one or the other
to Ada will be the key to your success. I myself would use the
opendir/readdir combination simply because it is a 'native' approach
as it were...

--hsm

On Sun, Mar 20, 2011 at 4:31 PM, Csaba Raduly <[email-masked]> wrote:
> Hi Sigfried!
>
> On Sat, Mar 19, 2011 at 10:09 PM,   wrote:
>
>> I want to recursively crawl a directory tree on windows using
>> cygwin/gnu/ada. I'm not sure if I should use the unix function opendir
>> (and friends) or the windows functions FindFirstFile and FindNextFile.
>> Maybe the opendir would be preferable since it would be portable.
>
> It's not a question of portability. Cygwin goes to great lengths to
> create a Unix/Linux compatible environment. If you want to use the
> _Cygwin_ version of Ada, then you really should use opendir/readdir.
>
>> Can someone point me to some examples of cygwin/ada programs calling a
>> standard function like opendir?
>
> This is not really a Cygwin question, but maybe this will help:
> https://www2.adacore.com/gap-static/GNAT_Book/html/rts/g-dirope__adb.htm
>
> Csaba
> --
> GCS a+ e++ d- C++ ULS$ L+$ !E- W++ P+++$ w++$ tv+ b++ DI D++ 5++
> The Tao of math: The numbers you can count are not the real numbers.
> Life is complex, with real and imaginary parts.
> "Ok, it boots. Which means it must be bug-free and perfect. " -- Linus Torvalds
> "People disagree with me. I just ignore them." -- Linus Torvalds
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple